#include <iostream>
#include <string>
#include <map>
#include <set>
#include <vector>
#include <algorithm>
#include <math.h>
#include <iomanip>  
#include <queue>
#include <iostream>
#include <climits> 
 
using namespace std;
 
#include <iomanip>
 
int count(int hour, int minute) 
{
    int cnt = 0;
    
    // X2:39
    // 2X:39
    if (minute > 39)
    {
        int t = 2;
        while (hour > t) // X2-39
        {   
            t += 10;
            ++cnt;
        }
        
        if (hour > 20) ++cnt; // 20-39
        if (hour > 23) ++cnt; // 23-39
    }

     // 23:X9
     if (hour > 23)
     {
        ++cnt; // 23-09
        // if (minute > 39) ++cnt; // 23-39 - уже считали выше
     }
     
     // 23:9X
     if (hour > 23)
     {
        int m = 90;
        while (minute > m)
        {   
            ++m;
            ++cnt;
        }
     }
     
     return cnt;
}
 
int main() 
{
    int H, M;
    cin >> H;
    cin >> M;
 
    cout << count(H, M);
    
    return 0;
}
